## fai 4.0.8~deb7u1

=== Makefile ===
include VERSION

SHELL=/bin/bash
DESTDIR=$(shell pwd)/debian/tmp
export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-nfsroot2image fai-new-mac

USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-monitor-gui fai-deps

# for syntax checks
BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-nfsroot2image bin/fai-setup bin/fai-statoverride bin/faireboot bin/ftar dev-utils/fai-kvm examples/simple/basefiles/mk-basefile examples/simple/class/* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/CENTOS/* examples/simple/scripts/DEBIAN/* examples/simple/scripts/DEMO/* examples/simple/scripts/FAIBASE/* examples/simple/scripts/FAISERVER/* examples/simple/scripts/GRUB_PC/* examples/simple/scripts/LAST/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fai-vol_id lib/fetch-basefile lib/get-boot-info lib/get-config-dir lib/get-config-dir-cvs lib/get-config-dir-file lib/get-config-dir-git lib/get-config-dir-hg lib/get-config-dir-http lib/get-config-dir-nfs lib/get-config-dir-svn lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_sysinfo lib/updatebase
SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/fai-disk-info lib/load_keymap_consolechars utils/mkdebmirror
PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp

# do not include .svn dir and setup-storage subdir
libfiles=$(patsubst lib/setup-storage,,$(wildcard lib/[a-z]*))

all:
	$(MAKE) syntaxcheck
	$(MAKE) -C doc all

syntaxcheck: bashismcheck shellcheck perlcheck

bashismcheck:
	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SHELL_SCRIPTS); do \
			test -r $${SCRIPT} || continue ; \
			ec=0 ; \
			checkbashisms -x $${SCRIPT} || ec=$$? ; \
			if [ $${ec} -ne 0 ] && [ $${ec} -ne 2 ] ; then exit $${ec} ; fi ; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

shellcheck:
	@echo -n "Checking for shell syntax errors"; \
	for SCRIPT in $(BASH_SCRIPTS) $(SHELL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		bash -n $${SCRIPT} || exit ; \
		echo -n "."; \
	done; \
	echo " done."; \

perlcheck:
	@echo "Checking for perl syntax errors:"; \
	mkdir -p perl-dummy/Linux perl-dummy/Tk ; \
	for f in Linux/LVM.pm Tk.pm Tk/HList.pm Tk/ItemStyle.pm; do \
		echo '1;' > perl-dummy/$$f ; \
	done; \
	for SCRIPT in $(PERL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		perl -Iperl-dummy/ -Ilib/setup-storage/ -w -c $${SCRIPT} || exit ; \
	done; \
	rm -r perl-dummy ; \
	echo "-> perl check done."; \

clean:
	rm -rf perl-dummy
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install:
	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,apt/apt.conf.d}
	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt
	mkdir -p $(DESTDIR)/etc/{init,init.d} $(DESTDIR)/usr/share/fai/{pixmaps/small,setup-storage}
	install man/* $(DESTDIR)/man
	pod2man -c '' -r '' -s8 bin/dhcp-edit > $(DESTDIR)/man/dhcp-edit.8
	pod2man -c '' -r '' -s8 bin/fai-deps > $(DESTDIR)/man/fai-deps.8
	$(MAKE) -C doc install
	-install $(libfiles) $(LIBDIR)
	install lib/setup-storage/* $(SHAREDIR)/setup-storage
	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	install bin/dhclient-fai-script  $(DESTDIR)/usr/share/fai
	install -m644 conf/dhclient-fai.conf $(DESTDIR)/usr/share/fai
	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
	cd conf ; install -m644 fai.conf grub.cfg live.conf $(DESTDIR)/etc/fai/
	install -m644 conf/nfsroot.conf $(DESTDIR)/etc/fai/
	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
	install -m644 conf/upstart-fai.conf $(DESTDIR)/etc/init/fai.conf
	install -m755 lib/fai-abort $(DESTDIR)/etc/init.d
	cp -a pixmaps/*.gif $(DESTDIR)/usr/share/fai/pixmaps
	cp -a pixmaps/small/*.gif $(DESTDIR)/usr/share/fai/pixmaps/small
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
	cp -a examples $(DOCDIR)
	cp -a utils $(DOCDIR)/examples

.PHONY: clean veryclean

=== doc/Makefile ===
#!/bin/make -s

DOC = fai-guide
MISC_DOC = classes_description.txt changelog.old

free:	text html ps pdf
#	echo "`grep -c FIXME $(DOC).txt` FIXMEs left to fix:"
#	grep FIXME $(DOC).txt

html:
	a2x -L --icons-dir=.a2x-icons --icons --copy --asciidoc-opt="-a toc -a toclevels=3" --xsltproc-opts="--stringparam use.id.as.filename 1" -f xhtml $(DOC).txt

chunked:
	a2x -L --icons-dir=.a2x-icons --icons --copy --asciidoc-opt="-a toc -a toclevels=3" --xsltproc-opts="--stringparam use.id.as.filename 1" -f chunked $(DOC).txt

pdf:	
	a2x -L --icons -a toc -a toclevels=3 -f pdf $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

ps:	
	a2x -L --icons -a toc -a toclevels=3 -f ps $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

# a2x uses lynx, maybe use w3m instead
# which texwidth for text output?
# asciidoc --doctype=article  -a "toc" -a "toclevels=3" -f /etc/asciidoc/text.conf -b html4 -o - "f-guide.txt" | lynx -dump -stdin >"./f-guide.text"
text:	
	a2x -L --icons -a toc -a toclevels=3 -f text $(DOC).txt

# for openoffice
doc:	html
	unoconv --show >/dev/null 2>&1 || exit "Please install the unoconv package." 
	unoconv -f doc $(DOC).html

all:	free

install:
	cp -dRp $(DOC)* $(DOCDIR)
	cp -p $(MISC_DOC) $(DOCDIR)

clean: 
	rm -rf .a2x-icons fai-guide.chunked
	rm -f $(DOC).text $(DOC).html $(DOC).doc $(DOC).pdf $(DOC).xml $(DOC).ps docbook-xsl.css

test:
	asciidoc --version > /dev/null 2>&1 || exit "Please install the asciidoc package." 


.PHONY: all test clean

=== debian/changelog ===
fai (4.0.8~deb7u1) wheezy; urgency=low

  * Upload towards wheezy's new point-release

 -- Michael Prokop <mika@debian.org>  Mon, 23 Sep 2013 09:42:59 +0200

fai (4.0.8) unstable; urgency=low

  * Cherry-pick change for #699555 from 4.0.6 release which was
    forgotten in the 4.0.7 upload.

 -- Michael Prokop <mika@debian.org>  Tue, 03 Sep 2013 17:25:10 +0200

fai (4.0.7) unstable; urgency=low

  * lib/task_sysinfo: make sure device is a valid block device before
    acccessing it
  * conf/NFSROOT: use grub-pc instead of grub package [Closes: #719213]
  * Do not depend on dpkg-divert being available inside /usr/sbin
    [Closes: #720307]
  * Makefile: update list of bash, shell land perl scripts
  * fai-guide/doc related changes:
    - update repository information + feature list
    - bunch of typo fixes
    - fix name of dirinstall task
    - update log file names regarding live-initramfs + klibc versions
    - fix usage of it's <-> its
    - replace "quiet" with "quite" and "setup" with "set up"

 -- Michael Prokop <mika@debian.org>  Tue, 20 Aug 2013 11:32:53 +0200

fai (4.0.6) unstable; urgency=low

  * do not reboot if error.log is empty Closes: #699279, #690016
  * fai-debconf: fix regex Closes: #699555

 -- Thomas Lange <lange@debian.org>  Fri, 01 Feb 2013 21:25:08 +0100

fai (4.0.5) unstable; urgency=low

  * fai-make-nfsroot: make initrd readable for tftp daemon Closes: #693871
  * subroutines: make sure files copied to /etc belong to root
  * fcopy: respect -m values if specified Closes: #695134
  * examples: add -M to some fcopy calls, so files are owned by root

 -- Thomas Lange <lange@debian.org>  Thu, 27 Dec 2012 20:56:33 +0100

fai (4.0.4) unstable; urgency=low

  * device2grub: fix pattern Closes: #689311
  * Parser.pm: Fix for perl warning Closes: #686388
  * fai-make-nfsroot: install nfs-common early Closes: #682013
    check if hook is a file before sourcing it Closes: #686758
  * NFSROOT: replace transitional package name Closes: #688902
  * savelog.LAST.source: add pattern to ignore list
  * fai-chboot.8: update of -u option
  * mk-basefile: add support for wheezy
  * disk_config examples: use option sw for swap partitions
  * NFSROOT: add package live-boot-doc, so we have the documentation
    inside the nfsroot

 -- Thomas Lange <lange@debian.org>  Thu, 15 Nov 2012 14:59:55 +0100

fai (4.0.3) unstable; urgency=medium

  * replace fai-quickstart.prerm by postrm, remove interactive prompting
    Closes: #672371
  * fai-setup: add -l, which is needed for fai-make-nfsroot
  * use http.debian.net instead of cdn.debian.net
  * fai-make-nfsroot: use dpkg-query for listing package versions

 -- Thomas Lange <lange@debian.org>  Tue, 26 Jun 2012 16:27:00 +0200

fai (4.0.2) unstable; urgency=low

  * fai-cd: fix read-only bind mount Closes: #678309
  * fai-make-nfsroot: print more informations about packages inside the
    nfsroot
  * add missing manual pages nfsroot.conf.5, fai.conf.5
  * subroutines: extract value for SERVER from FAI_CONFIG_SRC if not
    already defined

 -- Thomas Lange <lange@debian.org>  Mon, 25 Jun 2012 15:37:55 +0200

fai (4.0.1) unstable; urgency=high

  * use dpkg-maintscript-helper for renaming of config file, this fixes a
    policy violation, Closes: #672850
  * call numactl in task sysinfo, ls in backticks not needed

 -- Thomas Lange <lange@debian.org>  Tue, 22 May 2012 23:15:47 +0200

fai (4.0) unstable; urgency=low

  * The "Where's my test team?" release.

  [ Thomas Lange ]
  * rename scripts:
    - faimond -> fai-monitor
    - faimond-gui -> fai-monitor-gui
    - make-fai-nfsroot -> fai-make-nfsroot
    - disk-info -> fai-disk-info
    - make-fai-nfsroot.conf -> nfsroot.conf
  * fetch-basefile: new script for fetching basefile via ftp and http,
    uses variable FAI_BASEFILEURL Closes: #494386
  * fai-nfsroot2image, fai-nfsroot2image.8: add new script, make a
    compressed squashfs from the nfsroot
  * fai-new-mac: cmd that prints only MAC addresses, which are not yet known
  * fai-deps: new script for using class dependencies Closes: #498412
  * fai-monitor-gui: add option -s
  * ftar, ftar.8: add option -i.  Ignore "no matching class" and exit with 0
  * fai-kvm: add utility for starting kvm hosts for testing FAI software
  * remove setup_harddisks and variable USE_SETUP_STORAGE
  * fai-chboot, fai-chboot.8: support for MAC address
    (Thanks Torge Gipp for the initial patch)
    add option -E Closes: #614914, fix error if no kernel is available but
    not needed
  * remove kernel-img.conf: not needed any more
  * fai-mirror: replace apt-move by reprepro
  * fai-mirror: append mirror from FAI_DEBOOTSTRAP to
    /etc/fai/apt/sources.list Closes: #629020
  * sources.list: enable fai-project.org repository by default
  * fai: add NFS v4 support and rpcbind
  * fai: unbreak disk-info with recent upstart, call udevadm instead of
    "start udevtrigger" Closes: #664774
  * fai, fai-setup, fai.conf: use default value for FAI_LOGPROTO
  * fai, fai-mirror, fai-make-nfsroot, fai.conf: remove $MNTPOINT from
    fai.conf, set default value where needed
  * fai.conf: do not set LOGUSER by default, move detailed info about variables
    to man page fai.conf.5
  * new man page nfsroot.conf.5
  * ainsl.1: specify type of pattern Closes: #622776
  * ainsl: add variable AINSL_TARGET
  * fai-make-nfsroot: remove variable $FAI_BOOT
    - die() subroutine now takes exit code
    - mdadm.conf should not contain info from the install server
    - use xz compression for creating the base.tar file if available
    - remove old nfsroot with background process
    - use ramdisk for speeding up package installation
    - remove recover function and option -r
    - remove option -U
    - add options -a, -g, -l
    - do not copy fai files into the nfsroot
    - code restructuring for getting generic nfsroot easier
    - use pxelinux.0 from inside the nfsroot
    - copy pxelinux.0 to TFTPROOT only if it's not already existing


=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Uploaders: Michael Prokop <mika@debian.org>
Standards-Version: 3.9.3
Build-Depends-Indep: asciidoc, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
Build-Depends: debhelper (>= 7), libgraph-perl
Vcs-Git: git://github.com/faiproject/fai.git
Vcs-Browser: https://github.com/faiproject/fai
Homepage: http://fai-project.org

Package: fai-client
Architecture: all
Depends: perl, file, libapt-pkg-perl, iproute
Recommends: debconf-utils, libgraph-perl
Suggests: logtail
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the client package for FAI. It contains the parts necessary
 to run the softupdate functionality on already installed systems, and
 is needed for the dirinstall functionality and others on a FAI server.

Package: fai-doc
Architecture: all
Section: doc
Description: Documentation for FAI
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the documentation for FAI in various formats.

Package: fai-server
Architecture: all
Depends: fai-client, debootstrap
Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl
Suggests: debmirror, reprepro, genisoimage, grub, aptitude, perl-tk
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 It's a tool for mass unattended Linux installation. You can take one
 or more virgin systems, turn on the power, and after a few minutes,
 the systems are installed, and completely configured to your exact
 needs, without any interaction necessary.
 .
 This package is needed for setting up a FAI install server for network
 installations, for running the dirinstall in a chroot environment, and
 to build installation CD/DVD's and USB sticks.

Package: fai-quickstart
Architecture: all
Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, genisoimage, openbsd-inetd | inet-superserver
Description: Fully Automatic Installation quickstart package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 This package setups an install server with some basic
 examples. It should be removed when creating your own config space.

Package: fai-nfsroot
Architecture: all
Depends: fai-client, fai-setup-storage, syslinux-common | syslinux
Description: Fully Automatic Installation nfsroot package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.

Package: fai-setup-storage
Architecture: all
Depends: perl, libparse-recdescent-perl, liblinux-lvm-perl, parted
Recommends: lvm2, mdadm
Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfsprogs, reiserfsprogs, xfsprogs
Conflicts: fai-client (<< 3.4~)
Description: automatically prepare storage devices
 Using FAI disk_config files, setup-storage computes effective
 partition and volume sizes and executes the necessary commands
 to configure storage devices. It manages disk drives as well
 as RAID and LVM volumes. It handles all file systems supported
 by parted(8) as well as ntfs but is flexible enough to be
 extended to further types as well. Once the storage devices
 are prepared, an appropriate fstab(5) file is generated.
 .
 This package provides the setup-storage utility as separate
 package so it can be used independent from FAI as well.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/tmp
DOCDIR=`pwd`/debian/fai-doc/usr/share/doc/fai-doc

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include VERSION

build: build-stamp
build-stamp:
	dh_testdir

# Add here commands to compile the package.
	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
# Add here commands to clean up after the build process.
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
# Add here commands to install the package into debian/fai.
	$(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -Nfai-server -Nfai-quickstart
#	dh_installexamples
#	dh_installmenu
	dh_installman
	dh_install --sourcedir=debian/tmp
#	dh_installinfo
	dh_link
	dh_installchangelogs
	dh_compress -Xexamples -X.pdf
	dh_fixperms -X nfsroot.conf
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(shell pwd)/debian/fai-client/usr/share/doc/fai-client/README
	dh_lintian
# You may want to make some executables suid here.
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fai 4.2.1

=== debian/changelog ===
fai (4.2.1) unstable; urgency=low

  [Thomas Lange]
  * fai-cd: fix missing colon in getopt for option -C, Closes: #753113
  * subroutine: remove obsolete -c3 from rsyslogd call
  * updatebase: call fcopy with -B
  * fai: set STOP_ON_ERROR only if not already defined
  * setup-storage: call wipefs with correct device name and active VG
    before wiping, Closes: #670614, #675137, #693701
    Thanks to Kerim Gueney for the patches
  * setup-storage: sameas: now supports diskX and sda/vda as parameter
  * setup-storage: Fixes wipefs problem when attempting to preserve lv or vg
    Thanks to Christian Kreidl for the patch
  * setup-storage: fix for preservcing lv, deactivate vg before calling
    parted, Thanks to Kerim Gueney for the patch
  * add developers documentation for setup-storage
  
 -- Thomas Lange <lange@debian.org>  Wed, 09 Jul 2014 15:16:22 +0200

fai (4.2) unstable; urgency=low

  * fai-cd: use xorriso instead of genisoimage, this adds support for
    isohybrid images, thanks to Sander Brandenburg for the patch
    do not mount nfsroot when creating bootonly CD, Closes: #748839
    Thanks to Kerim Gueney for the patch
    add option -d, Thanks to Kerim Gueney for the patch
    add support for new pathes in jessie
  * faireboot,subroutines: do not shutdown interfaces
  * get-config-dir-git: added patch 1b567f8c6790176c142f837
    Closes: #682067, #727687
  * install_packages: disable package name checking when using 'aptitude-r'
  * fai-chboot: fix wrong IPAPPEND parameter
  * NFSROOT: add package kdb which includes command setfont
  * new code for detecting if run from CD or USB stick
  * ainsl: add option -N, improve loop syntax, standardise use of
    "and,or,&&,||", thanks to Rowan Thorpe for the patches
  * grub.cfg: add FAI_CONFIG_SRC for CD to kernel command line
  * fai: do not set default for FAI_CONFIG_SRC when booting from CD
  * fai-setup: add NFS v4 entry to /etc/exports

 -- Thomas Lange <lange@debian.org>  Tue, 03 Jun 2014 10:47:13 +0200

fai (4.1.1) unstable; urgency=high

  * doc/Makefile: use symlink instead of --icons-dir, Closes: #741809
  * fai-debconf: sort debconf data before using it, Closes: #741929
    Thanks to Christian Kreidl for the patch
  * 10-setup: set locale when executing perl code, otherwise matching may fail
  * fai-chboot: fix perl warning

 -- Thomas Lange <lange@debian.org>  Mon, 31 Mar 2014 17:02:41 +0200

fai (4.1) unstable; urgency=low

  [Thomas Lange]
  * new action inventory
  * new variable $FAI_SENDID, sendmon can now send the MAC address or PXE info
    instead of the hostname, FAI_SENDID must be defined on the kernel
    command line or in the nfsroot, defining it in the config space is too
    late.
  * DEBIAN.asc: new gpg key for the fai-project.org package repository
  * README: new gpg key for Thomas, new address
  * new variable $APTPROXY, if set it is used in updatebase.DEBIAN
  * fai-cd: add option -M
  * FAISERVER: move from approx to apt-cacher-ng,
    no more apache needed Closes: #669739
  * instsoft.DEBIAN: new hook, Closes: #506971
  * fai: fix wrong usage of ainsl, Closes: #714869
    check if process is already running before starting rpc.statd
  * fcopy: do not set atime/mtime if preinst was used, Closes: #699535
  * remove fai-quickstart.{postinst,postm}, Closes: #679293
  * setup-storage: support more than 9 drives with ciss driver, thanks to
    Alexandros Kosiaris for the patch Closes: #712572
  * Commands.pm: add blank to command, thanks to Sven Schumacher for the
    patch, Closes: #698158, remove text tool call on binary data
    Closes: #723084, thanks to Raphael Geissert for the patch,
    check against undefined variables
  * install_packages: extend regex, thanks to  Andrew Ruthven for the
    patch Closes: #701875
  * Parser.pm: add package to variable name, thanks to Scotland L. Nelsen
    for the patch Closes: #703326, #695317
  * fai-cd: remove doubled entries, patch from Andi B. Mundt,
    Closes: #682799, die unless live-boot is used,
  * task_sysinfo: add lsblk call, show lvm information
  * fai-guide.txt: reference new examples for skiptask Closes: #569969
  * fai.conf.5: improve description of file://, add a note that fai.conf
    is not copied into the nfsroot
  * updatebase: do not reset aptopt variable, Closes: #728439
  * get-config-dir-hg: add -u to pull, Closes: #729440
  * get-boot-info: parse ip=ethX:dhcp items on the kernel command line,
    new code for detecting if DHCP or fixed IP address is needed,
    use command ifdata to get IP parameters
  * setup-storage: Fix Perl error, Closes: #703326, Thanks to Scot Nelsen
    for the patch
  * 10-setup: add code for installing grub into all devices of a software
    raid, check if mdadm was missing
  * device2grub: add support for /dev/xvda
  * fai-make-nfsroot: use run-parts, use ramdisk on /var/cache,
    add quotes to preserve *.asc in find command
  * conf/NFSROOT: remove read-edid, add moreutils
  * fai-setup: no default value for FAI_CONFIGDIR if undefined
  * clarify default value for FAI_CONFIG_SRC, Closes: #685289
  * dpkg uses force-unsafe-io for class DEBIAN
  * replace $(cat ) with $(< )
  * fai-chboot: replace root=/dev/nfs and nfsroot=<dir> with root=<dir>
  * package_config/DEBIAN: fix kernel package names
  * make Perl scripts use strict clean, Closes: #447204
  * Sizes.pm: respect alignment for logical partion sizes Closes: #702019
    Thanks to Jan-Marek Glogowski for the patch
  * Use task finish for softupdate cleanup, patch from Jan-Marek
  * ainsl: fix appending to file w/o trailing newline. Patch from
    Jan-Marek
  * fai: use die() for errors. Patch from Jan-Marek
  * fix code for using logtail, Closes: #735484, thanks to Manuel
    Hachtkemper for the patch
  * Exec.pm: add parameter to &execute_command_internal, do not print ro
    commands unless in debug mode
  * FAIBASE/10-misc: fix code for adding entries to /etc/hosts
  * subroutines: print error code when stopping installation


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Michael Prokop <mika@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends-Indep: asciidoc, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
 Build-Depends: debhelper (>= 7), libgraph-perl
 Vcs-Git: git://github.com/faiproject/fai.git
@@ -12,7 +12,7 @@
 
 Package: fai-client
 Architecture: all
-Depends: perl, file, libapt-pkg-perl, iproute
+Depends: perl, file, libapt-pkg-perl, iproute2 | iproute
 Recommends: debconf-utils, libgraph-perl
 Suggests: logtail
 Description: Fully Automatic Installation client package
@@ -40,7 +40,7 @@
 Architecture: all
 Depends: fai-client, debootstrap
 Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl
-Suggests: debmirror, reprepro, genisoimage, grub, aptitude, perl-tk
+Suggests: debmirror, reprepro, xorriso, grub, aptitude, perl-tk
 Description: Fully Automatic Installation server package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -58,7 +58,7 @@
 
 Package: fai-quickstart
 Architecture: all
-Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, genisoimage, openbsd-inetd | inet-superserver
+Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, xorriso, openbsd-inetd | inet-superserver
 Description: Fully Automatic Installation quickstart package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -84,7 +84,6 @@
 Depends: perl, libparse-recdescent-perl, liblinux-lvm-perl, parted
 Recommends: lvm2, mdadm
 Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfsprogs, reiserfsprogs, xfsprogs
-Conflicts: fai-client (<< 3.4~)
 Description: automatically prepare storage devices
  Using FAI disk_config files, setup-storage computes effective
  partition and volume sizes and executes the necessary commands

## fai 4.2.4+0~20140911155717.190~1.gbp5160db

=== debian/changelog ===
fai (4.2.4+0~20140911155717.190~1.gbp5160db) unstable; urgency=low

  ** SNAPSHOT build @5160db703166f23d5f3189b9458f570836b56f68 **

  [ Michael Prokop ]
  * Fix setup-storage handling of empty disk(s) with parted >=3.*

  [ Grml.org Autobuilder ]

 -- Grml.org Autobuilder <jenkins@grml.org>  Thu, 11 Sep 2014 17:57:20 +0200

fai (4.2.4) unstable; urgency=medium

  * mkramdisk: replace mount --move with bind mount, Closes: #760133

 -- Thomas Lange <lange@debian.org>  Wed, 10 Sep 2014 16:07:56 +0200

fai (4.2.3) unstable; urgency=low

  [Thomas Lange]
  * fai-make-nfsroot: a lot of jessie adjustments
    make mount --move work in jessie, Closes: #758613
    disable systemd module in dracut
    copy ldlinux.c32 if available, Closes: #757092
    pxelinux.0 changes its path in jessie, Closes: #757092
  * nfsroot.conf: add aptitude to debootstrap's package list,
    Closes: #759795
  * NFSROOT: add package for booting jessie without systemd,
    Closes: #758614

 -- Thomas Lange <lange@debian.org>  Sun, 31 Aug 2014 00:34:36 +0200

fai (4.2.2) unstable; urgency=low

  [Thomas Lange]
  * control: fai-client now depends on debconf-utils, Closes: #755925
  * start sshd very early if FAI_FLAGS=sshd is added to the kernel command
    line
  * kill rsyslogd before rebooting
  * GRUB_PC/10-setup: move grub-install call to else part
  * fai-monitor-gui: ignore a specific output line of fai-monitor
  * THANKS: add Kerim
  * mk-basefile: add entries for CentOS 7
  * add CentOS 7 support in examples
  * generate device.map for CentOS 7,  Closes: #755702

  [Kerim Gueney]
  * setup-storage: fix preserve issue when attempting a combination of
    RAID and LVM
    ensures that the VG is active, before trying to wipe any LV
  
 -- Thomas Lange <lange@debian.org>  Fri, 25 Jul 2014 15:43:21 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 Package: fai-client
 Architecture: all
-Depends: perl, file, libapt-pkg-perl, iproute2 | iproute
-Recommends: debconf-utils, libgraph-perl
+Depends: perl, file, libapt-pkg-perl, iproute2 | iproute, debconf-utils
+Recommends: libgraph-perl
 Suggests: logtail
 Description: Fully Automatic Installation client package
  FAI is a non-interactive system to install, customize and manage
@@ -69,7 +69,7 @@
 
 Package: fai-nfsroot
 Architecture: all
-Depends: fai-client, fai-setup-storage, syslinux-common | syslinux
+Depends: fai-client, fai-setup-storage, pxelinux| syslinux-common
 Description: Fully Automatic Installation nfsroot package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as

## fai 4.3.1

=== debian/changelog ===
fai (4.3.1) unstable; urgency=low

  [Thomas Lange]
  * Init.pm: fix code which uses value of $ENV{flag_initial}, Closes: #769923
  * fai-quickstart.postrm: add new script, Closes: #769097
  * fai-cd: add test if command strings is available, Closes: #769683
  * control: add binutils to suggests for fai-server and to depends for
    fai-quickstart, Closes: #769683
  * control: use newer package name ntfs-3g instead of ntfsprogs
  * conf/NFSROOT: fix typo in package name
  * fai-kvm: remove deprecated option from kvm call
  * 40-install-grub: fix code, so the exit code is not always != 0
  * disk_config: remove separate /usr and /var, make / bigger

  [Moritz 'Morty' Strübe]
  * control: fix lintian warning debhelper-but-no-misc-depends
  * fai-guide.txt: correct information about apt/.asc files

 -- Thomas Lange <lange@debian.org>  Wed, 19 Nov 2014 16:06:10 +0100

fai (4.3) unstable; urgency=low

  [Kerim Güney]
  * add btrfs support to setup-storage and to the man page
  * Fix a small LVM bug concerning VG names

  [Thomas Lange]
  * make jessie the default release
  * mk-basefile: add jessie
  * NFSROOT: add pxelinux and syslinux-common instead of defining package
    dependency
  * fai-make-nfsroot: also copy ldlinux.c32 from the nfsroot
  * task_inventory now calls task_savelog -r
  * fcpoy: add warning if pre/postinst script is not executable
  * dhcp-edit: drop support for old dhcp pathes
  * fai-chboot: add option -U
  * disk_config: increase size of / partition

  [Christian Seiler]
  * subroutine: On failure: also call hooks for savelog, Closes: #764246

  [ Andreas B. Mundt]
  * Restore capabilities that get lost in the base.tar.xz archive

 -- Thomas Lange <lange@debian.org>  Fri, 24 Oct 2014 14:34:46 +0200

fai (4.2.5) unstable; urgency=low

  [Thomas Lange]
  * control: increase standards version, no changes needed
  * remove fai-vol_id with blkid call, this wrapper is not needed any more

  [Thomas Neumann]
  * minor code cleanup in setup-storage

  [ Mika Prokop]
  * setup-storage handling of empty disk(s) with parted >=3.*

 -- Thomas Lange <lange@debian.org>  Mon, 29 Sep 2014 16:12:03 +0200

## fai 4.3.1+deb8u1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-monitor-gui fai-deps
 
 # for syntax checks
-BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-nfsroot2image bin/fai-setup bin/fai-statoverride bin/faireboot bin/ftar dev-utils/fai-kvm examples/simple/basefiles/mk-basefile examples/simple/class/* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/CENTOS/* examples/simple/scripts/DEBIAN/* examples/simple/scripts/DEMO/* examples/simple/scripts/FAIBASE/* examples/simple/scripts/FAISERVER/* examples/simple/scripts/GRUB_PC/* examples/simple/scripts/LAST/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fai-vol_id lib/fetch-basefile lib/get-boot-info lib/get-config-dir lib/get-config-dir-cvs lib/get-config-dir-file lib/get-config-dir-git lib/get-config-dir-hg lib/get-config-dir-http lib/get-config-dir-nfs lib/get-config-dir-svn lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_sysinfo lib/updatebase
+BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-nfsroot2image bin/fai-setup bin/fai-statoverride bin/faireboot bin/ftar dev-utils/fai-kvm examples/simple/basefiles/mk-basefile examples/simple/class/* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/CENTOS/* examples/simple/scripts/DEBIAN/* examples/simple/scripts/DEMO/* examples/simple/scripts/FAIBASE/* examples/simple/scripts/FAISERVER/* examples/simple/scripts/GRUB_PC/* examples/simple/scripts/LAST/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir lib/get-config-dir-cvs lib/get-config-dir-file lib/get-config-dir-git lib/get-config-dir-hg lib/get-config-dir-http lib/get-config-dir-nfs lib/get-config-dir-svn lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_sysinfo lib/updatebase
 SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/fai-disk-info lib/load_keymap_consolechars utils/mkdebmirror
 PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp

=== doc/Makefile ===
#!/bin/make -s

DOC = fai-guide
MISC_DOC = classes_description.txt changelog.old
DOC2DIR = $(shell pwd)/../debian/fai-setup-storage/usr/share/doc/fai-setup-storage

free:	text html ps pdf
#	echo "`grep -c FIXME $(DOC).txt` FIXMEs left to fix:"
#	grep FIXME $(DOC).txt

images:
	ln -s /usr/share/asciidoc/images images 

html: $(DOC).txt images
	a2x -L --icons --copy --asciidoc-opt="-a toc -a toclevels=3" --xsltproc-opts="--stringparam use.id.as.filename 1" -f xhtml $(DOC).txt

chunked: $(DOC).txt  images
	a2x -L --icons --copy --asciidoc-opt="-a toc -a toclevels=3" --xsltproc-opts="--stringparam use.id.as.filename 1" -f chunked $(DOC).txt

pdf: $(DOC).txt	images
	a2x -L --icons -a toc -a toclevels=3 -f pdf $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

ps: $(DOC).txt images
	a2x -L --icons -a toc -a toclevels=3 -f ps $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

# a2x uses lynx, maybe use w3m instead
# which texwidth for text output?
# asciidoc --doctype=article  -a "toc" -a "toclevels=3" -f /etc/asciidoc/text.conf -b html4 -o - "f-guide.txt" | lynx -dump -stdin >"./f-guide.text"
text: $(DOC).txt
	a2x -L -a toc -a toclevels=3 -f text $(DOC).txt

# for openoffice
doc:	html
	unoconv --show >/dev/null 2>&1 || exit "Please install the unoconv package."
	unoconv -f doc $(DOC).html

all:	free

install:
	cp -dRp $(DOC)* $(DOCDIR)
	cp -p $(MISC_DOC) $(DOCDIR)
	cp -p setup-storage-call-graph.txt setup-storage-overview.txt $(DOC2DIR)

clean:
	rm -rf images .a2x-icons fai-guide.chunked
	rm -f $(DOC).text $(DOC).html $(DOC).doc $(DOC).pdf $(DOC).xml $(DOC).ps docbook-xsl.css

test:
	asciidoc --version > /dev/null 2>&1 || exit "Please install the asciidoc package."


.PHONY: all test clean

=== debian/changelog ===
fai (4.3.1+deb8u1) jessie; urgency=high

  * setup-storage: add support for parted 2.4, Closes: #785804
  * fai: Fix IP address lifetime, Closes: #780144
  * update copyright year to 2015

 -- Thomas Lange <lange@debian.org>  Fri, 22 May 2015 11:07:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Michael Prokop <mika@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends-Indep: asciidoc, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
 Build-Depends: debhelper (>= 7), libgraph-perl
 Vcs-Git: git://github.com/faiproject/fai.git
@@ -12,7 +12,7 @@
 
 Package: fai-client
 Architecture: all
-Depends: perl, file, libapt-pkg-perl, iproute2 | iproute, debconf-utils
+Depends: perl, file, libapt-pkg-perl, iproute2 | iproute, debconf-utils, ${misc:Depends}
 Recommends: libgraph-perl
 Suggests: logtail
 Description: Fully Automatic Installation client package
@@ -27,6 +27,7 @@
 
 Package: fai-doc
 Architecture: all
+Depends: ${misc:Depends}
 Section: doc
 Description: Documentation for FAI
  FAI is a non-interactive system to install, customize and manage
@@ -38,9 +39,9 @@
 
 Package: fai-server
 Architecture: all
-Depends: fai-client, debootstrap
+Depends: fai-client, debootstrap, ${misc:Depends}
 Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl
-Suggests: debmirror, reprepro, xorriso, grub, aptitude, perl-tk
+Suggests: debmirror, reprepro, xorriso, binutils, grub, aptitude, perl-tk
 Description: Fully Automatic Installation server package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -58,7 +59,7 @@
 
 Package: fai-quickstart
 Architecture: all
-Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, xorriso, openbsd-inetd | inet-superserver
+Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, xorriso, binutils, openbsd-inetd | inet-superserver, ${misc:Depends}
 Description: Fully Automatic Installation quickstart package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -69,7 +70,7 @@
 
 Package: fai-nfsroot
 Architecture: all
-Depends: fai-client, fai-setup-storage, pxelinux| syslinux-common
+Depends: fai-client, fai-setup-storage, pxelinux| syslinux-common, ${misc:Depends}
 Description: Fully Automatic Installation nfsroot package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -81,9 +82,9 @@
 
 Package: fai-setup-storage
 Architecture: all
-Depends: perl, libparse-recdescent-perl, liblinux-lvm-perl, parted
+Depends: perl, libparse-recdescent-perl, liblinux-lvm-perl, parted, ${misc:Depends}
 Recommends: lvm2, mdadm
-Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfsprogs, reiserfsprogs, xfsprogs
+Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfs-3g, reiserfsprogs, xfsprogs
 Description: automatically prepare storage devices
  Using FAI disk_config files, setup-storage computes effective
  partition and volume sizes and executes the necessary commands
